Bug 1088234 - CVE-2014-2440 CVE-2014-0384 CVE-2014-2432 CVE-2014-2431 CVE-2014-2430 CVE-2014-2436 CVE-2014-2438 CVE-2014-2419 mariadb: various flaws [fedora-all]
Summary: CVE-2014-2440 CVE-2014-0384 CVE-2014-2432 CVE-2014-2431 CVE-2014-2430 CVE-201...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Honza Horak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: fst_owner=bvincent
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-0384 CVE-2014-2419 CVE-2014-2430 CVE-2014-2431 CVE-2014-2432 CVE-2014-2436 CVE-2014-2438 CVE-2014-2440
TreeView+ depends on / blocked
 
Reported: 2014-04-16 09:41 UTC by Huzaifa S. Sidhpurwala
Modified: 2014-09-10 22:08 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-09-10 22:08:18 UTC


Attachments (Terms of Use)

Description Huzaifa S. Sidhpurwala 2014-04-16 09:41:06 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Huzaifa S. Sidhpurwala 2014-04-16 09:41:20 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088133,1088234

Comment 2 Huzaifa S. Sidhpurwala 2014-04-16 09:42:30 UTC
Adding parent bug 1088134 (for CVE-2014-2419).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134

Comment 3 Huzaifa S. Sidhpurwala 2014-04-16 09:43:45 UTC
Adding parent bug 1088143 (for CVE-2014-2430).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143

Comment 4 Huzaifa S. Sidhpurwala 2014-04-16 09:44:59 UTC
Adding parent bug 1088146 (for CVE-2014-2431).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143,1088146

Comment 5 Huzaifa S. Sidhpurwala 2014-04-16 09:46:20 UTC
Adding parent bug 1088179 (for CVE-2014-2432).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143,1088146,1088179

Comment 6 Huzaifa S. Sidhpurwala 2014-04-16 09:48:22 UTC
Adding parent bug 1088190 (for CVE-2014-2436).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143,1088146,1088179,1088190

Comment 7 Huzaifa S. Sidhpurwala 2014-04-16 09:49:39 UTC
Adding parent bug 1088191 (for CVE-2014-2438).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143,1088146,1088179,1088190,1088191

Comment 8 Huzaifa S. Sidhpurwala 2014-04-16 09:50:54 UTC
Adding parent bug 1088197 (for CVE-2014-2440).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1088234,1088133,1088134,1088143,1088146,1088179,1088190,1088191,1088197

Comment 9 Fedora Update System 2014-04-18 06:34:26 UTC
mariadb-5.5.37-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mariadb-5.5.37-1.fc20

Comment 10 Fedora Update System 2014-04-18 06:35:10 UTC
mariadb-5.5.37-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mariadb-5.5.37-1.fc19

Comment 11 Fedora Update System 2014-04-29 05:22:52 UTC
mariadb-5.5.37-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-04-29 05:26:19 UTC
mariadb-5.5.37-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-05-07 16:57:38 UTC
mariadb-galera-5.5.37-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mariadb-galera-5.5.37-2.el6

Comment 14 Fedora Update System 2014-05-07 16:59:26 UTC
mariadb-galera-5.5.37-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mariadb-galera-5.5.37-2.fc20

Comment 15 Fedora Update System 2014-05-16 10:09:10 UTC
mariadb-galera-5.5.37-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Brandon Vincent 2014-09-10 22:08:18 UTC
Current mariadb packages are patched for the aforementioned vulnerabilities.

mariadb-5.5.39-1.fc20
mariadb-5.5.39-1.fc19


Note You need to log in before you can comment on or make changes to this bug.